uses
  testlib, sysutils;
var
  jA, jB, pA, pB: longint;

begin
  
  jA := ans.readlongint;
  pA := ouf.readlongint;  

  if (jA = -1) then begin
    if (pA <> -1) then
      quit(_wa, 'Expected: ' + inttostr(jA)+ ', found: ' + inttostr(pA))
    else
      quit(_ok, '-1');
  end;

  if (pA = -1) then
    quit(_wa, 'Expected: ' + inttostr(jA)+ ', found: ' + inttostr(pA));



  jB := ans.readlongint;
  pB := ouf.readlongint;


  if ((jA <> pA) or (jB <> pB)) then
 	quit(_wa, 'Expected: ' + inttostr(jA) + ' '+ inttostr(jA) + ', found: ' + inttostr(pA) + ' '+ inttostr(pA))
  else
	quit(_ok, inttostr(jA) + ' '+ inttostr(jB));
end.
